ChatofyDevelopers
REST APIMCP Server (AI)New
API KeysWebhooks
Chatofy API
/
Getting Started
API Resources
API v1.0 Live
Developer APIMessagesSend Interactive Message

Send Interactive Message

Sends a button or list interactive message. Boosts engagement with clickable reply options.

POST/api/v1/contact/{phone}/send-interactive-message

Note

Buttons can have up to 3 options. List messages can have up to 10 sections with 1-30 rows each.

Request Body Schema

application/json
interactive.typestringrequired

Type: "button" or "list"

Example:button
interactive.body.textstringrequired

Message body text

Example:Are you interested?
interactive.action.buttonsarrayrequired

Button options (max 3)

interactive.action.buttons[].typestringrequired

Always "reply"

interactive.action.buttons[].reply.idstringrequired

Button identifier

interactive.action.buttons[].reply.titlestringrequired

Button label text

Response Payload

200 OKapplication/json
successbooleanrequired

Whether request succeeded

data.message_idstringrequired

Platform message ID

data.raw.messages[].idstringrequired

Meta message ID

Code Snippets & Examples

1curl -X POST "https://app.chatofy.in/api/v1/contact/+919000000000/send-interactive-message" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"interactive":{"type":"button","body":{"text":"Are you interested?"},"action":{"buttons":[{"type":"reply","reply":{"id":"yes","title":"Yes!"}},{"type":"reply","reply":{"id":"no","title":"No thanks"}}]}}}'

Was this endpoint guide helpful?

Previous Endpoint
Send Text Message
Next Endpoint
Send Media Message
© 2026 Chatofy Cloud Platform. All rights reserved.
1curl -X POST "https://app.chatofy.in/api/v1/contact/+919000000000/send-interactive-message" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"interactive":{"type":"button","body":{"text":"Are you interested?"},"action":{"buttons":[{"type":"reply","reply":{"id":"yes","title":"Yes!"}},{"type":"reply","reply":{"id":"no","title":"No thanks"}}]}}}'
200 OKapplication/json
1{
2 "success": true,
3 "data": {
4 "message_id": "wamid.HBgLMTIzNDU2...",
5 "raw": {
6 "messaging_product": "whatsapp",
7 "contacts": [
8 {
9 "input": "+919000000000",
10 "wa_id": "919000000000"
11 }
12 ],
13 "messages": [
14 {
15 "id": "wamid.HBgLMTIzNDU2..."
16 }
17 ]
18 }
19 },
20 "message": "Message sent successfully"
21}